% singular_ingro.m
% Singular quadrature demonstration

%% Create a triangle with a singular point at its center
clear;

corners = [0 0 0; 1 0 0; 0 1 0];
center = [1/3 1/3 0];

[xx, ww] = elem_singular_quadrature(corners, 11);
%% Plot the singular quadrature
fig = figure;

plot(corners([1:3,1], 1), corners([1:3, 1], 2), 'k-', 'LineWidth', 1.0);
hold on;
hx = plot(xx(:,1), xx(:,2), 'r*', 'LineWidth', 1.0);

hold on;
for i = 1 : 3
    ht = plot([center(1), corners(i,1)], [center(2), corners(i,2)], ...
        'b-', 'LineWidth', 1.0);
end
hp = plot(center(1), center(2), 'bo', 'LineWidth', 2.0, ...
    'MarkerSize', 7, 'MarkerfaceColor', 'b');
axis equal;
xlim([-.1 1.1]);
ylim([-.1 1.1]);

xlabel('\xi');
ylabel('\eta');

legend([hp, ht, hx], ...
    {'Singular point', 'Triangular division', 'Quadrature points'}, ...
    'Location', 'NorthEast');

set(gca, 'xgrid', 'On', 'Ygrid', 'On', 'Box', 'Off');
