// Created by Peter Rucz

// Radius parameter
r = DefineNumber[ 1.0, Name "Parameters/r" ];

// Element size parameter
e = DefineNumber[ 0.12, Name "Parameters/e" ];

// Origin
Point(0) = {0, 0, 0, e};

// Points
Point(1) = {0, 0, r, e};
Point(2) = {0, 0, -r, e};

Point(3) = {r, 0, 0, e};
Point(4) = {-r, 0, 0, e};

Point(5) = {0, r, 0, e};
Point(6) = {0, -r, 0, e};

// Lines
Circle(1) = {1, 0, 3};
Circle(2) = {1, 0, 4};
Circle(3) = {1, 0, 5};
Circle(4) = {1, 0, 6};

Circle(5) = {3, 0, 2};
Circle(6) = {4, 0, 2};
Circle(7) = {5, 0, 2};
Circle(8) = {6, 0, 2};

Circle(9) = {3, 0, 5};
Circle(10) = {5, 0, 4};
Circle(11) = {4, 0, 6};
Circle(12) = {6, 0, 3};

// Surfaces
Line loop(1) = {1, 9, -3};
Surface(1) = {1} In Sphere {0};

Line loop(2) = {3, 10, -2};
Surface(2) = {2} In Sphere {0};

Line loop(3) = {2, 11, -4};
Surface(3) = {3} In Sphere {0};

Line loop(4) = {4, 12, -1};
Surface(4) = {4} In Sphere {0};

Line loop(5) = {5, -7, -9};
Surface(5) = {5} In Sphere {0};

Line loop(6) = {7, -6, -10};
Surface(6) = {6} In Sphere {0};

Line loop(7) = {6, -8, -11};
Surface(7) = {7} In Sphere {0};

Line loop(8) = {8, -5, -12};
Surface(8) = {8} In Sphere {0};
